    Rebin a histogram.

rebin(y0, x0lo, x0hi, x1lo, x1hi)
y0 - sequence of numbers
x0lo - sequence of numbers
x0hi - sequence of numbers
x1lo - sequence of numbers
x1hi - sequence of numbers

PARAMETERS

The parameters for this function are:

Parameter
Definition
y0
The Y values of the histogram to rebin.
x0lo
The lower and upper edges of the X values to rebin. They must match the size of `y0` .
x0hi
The lower and upper edges of the X values to rebin. They must match the size of `y0` .
x1lo
The lower and upper edges of the X values of the output histogram.
x1hi
The lower and upper edges of the X values of the output histogram.

The return value from this function is:

yout -- The re-binned Y values (same size as `x1lo` ).

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023